Anonymous Login
2019-04-19 03:54 PDT

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000713v2.4 Release (Closed)[All Projects] Generalpublic2011-08-16 23:49
Reporterpweisz 
Assigned Tocaseydk 
PrioritynormalSeveritytextReproducibilityalways
StatusclosedResolutionfixed 
Product Version 
Target VersionFixed in Version2.4 
Summary0000713: french accent in months name aren't printed correctly on screen.
DescriptionHello,
In version 2.2,
French accents are ok, but not in calendar dates.
There are only 3 months name in french with accents : February (février), August (Août) and December (Décembre). They aren't printed correctly (is it an utf-8 issue ?)
In all calendar views the whole name of these 3 months is printed in blank.

I didn't found in wich files is it possible to fix that error.
Thanks a lot

Patrice
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0001597

eureka (reporter)

hello pweisz (bonjour de Paris),

in modules/calendar/calendar.class.php, line 245

replace :
setlocale(LC_TIME, 'en');

by:
setlocale(LC_TIME, 'C');

~0002060

caseydk (administrator)

Resolved as described by eureka in r2001;
+Notes

-Issue History
Date Modified Username Field Change
2011-02-06 05:29 pweisz New Issue
2011-02-07 11:44 eureka Note Added: 0001597
2011-07-21 21:55 caseydk Project Pending Requests => v2.4 Release (Closed)
2011-07-21 21:57 caseydk Note Added: 0002060
2011-07-21 21:57 caseydk Status new => resolved
2011-07-21 21:57 caseydk Resolution open => fixed
2011-07-21 21:57 caseydk Assigned To => caseydk
2011-08-16 23:49 caseydk Status resolved => closed
2011-08-16 23:49 caseydk Fixed in Version => 2.4
+Issue History